%define upstream_name    Sub-Identify
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Retrieve names of code references
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel

# Don't provide private perl libs
%{?perl_default_filter}

%description
Sub::Identify allows you to retrieve the real name of code references. For
this, it uses perl's introspection mechanism, provided by the B module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorarch}/Sub
%{perl_vendorarch}/auto/Sub
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1033508
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 958008
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 884812
- update to 0.12

* Sun Sep 06 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 873629
- update to 0.11

* Fri Jun 26 2015 tv <tv> 0.100.0-2.mga6
+ Revision: 845296
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.100.0-1.mga6
+ Revision: 840663
- New version 0.10 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-11.mga5
+ Revision: 749462
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-10.mga5
+ Revision: 733446
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 686267
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-8.mga5
+ Revision: 631693
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-7.mga4
+ Revision: 524499
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-6.mga4
+ Revision: 430961
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-5.mga3
+ Revision: 372888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-4.mga3
+ Revision: 251148
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-3.mga2
+ Revision: 103646
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 24476
- fix specs
- imported package perl-Sub-Identify

